Skip to main content

List CounterAdjustments

Function name: m3ter_ListCounterAdjustments Category: READ HTTP method: GET (paginated) Destination: m3ter Retrieve a list of CounterAdjustments created for Accounts in your Organization. You can filter the list returned by date, Account ID, or Counter ID. CONSTRAINTS:
  • The counterId query parameter is always required when calling this endpoint, used either as a single query parameter or in combination with any of the other query parameters.
  • If you want to use the date, dateStart, or dateEnd query parameters, you must also use the accountId query parameter.

Parameters

Exits

Create CounterAdjustment

Function name: m3ter_PostCounterAdjustment Category: WRITE HTTP method: POST Destination: m3ter Create a new CounterAdjustment for an Account using a Counter. Notes:
  • Use the new absolute value for the Counter for the selected date - if it was 15 and has increased to 20, enter 20; if it was 15 and has decreased to 10, enter 10. Do not enter the plus or minus value relative to the previous Counter value on the Account.
  • CounterAdjustments on Accounts are supported down to a specific day of granularity - you cannot create more than one CounterAdjustment for any given day using the same Counter and you’ll receive an error if you try to do this.

Parameters

Exits

Retrieve CounterAdjustment

Function name: m3ter_GetCounterAdjustment Category: READ HTTP method: GET Destination: m3ter Retrieve a CounterAdjustment for the given UUID.

Parameters

Exits

Update CounterAdjustment

Function name: m3ter_PutCounterAdjustment Category: WRITE HTTP method: PUT Destination: m3ter Update a CounterAdjustment for an Account.

Parameters

Exits

Delete CounterAdjustment

Function name: m3ter_DeleteCounterAdjustment Category: WRITE HTTP method: DELETE Destination: m3ter Delete a CounterAdjustment for the given UUID.

Parameters

Exits